# Renewable Resources Minecraft Datapack

## Overview

Within Minecraft, there's a wide range of blocks and items that have a finite amount within any given world or their renewability is so limited that their renewable method isn't viable. This datapack aims to provide a reasonable means of renewability for these items of the game.

Despite this, there are a handful of items that are still non-renewable. This decision was for these specific items because their rarity is what makes them special or there isn't a good implementation method with datapacks that'd provide a reasonable method to obtain such item.

## Changes

### New Recipes

| Recipe | Result |
| ------ | ------ |
| 2 Quartz, 2 Diorite | 2 Calcite |
| 8 String, 1 Slimeball | 1 Cobweb |
| 2 Coral, 2 Coral Fans (all same color) | 1 Coral Block |
| 1 Blaze Powder, 1 Fern | 1 Dead Bush |
| 4 Stone, 4 Blackstone, 1 Obsidion | 9 Deepslate |
| 4 Blaze Powder, 4 Stone, 1 Popped Chorus Fruit | 4 End Stone |
| 4 Nether Wart, 4 Stone, 1 Magma Cream | 4 Netherrack |
| 6 Iron/Gold/Diamond, 1 Saddle | Iron/Gold/Diamond Horse Armor |
| 2 Sand, 1 Red Dye | 2 Red Sand |
| 1 Big Dripleaf | 4 Small Dripleaf |
| 1 Big Dripleaf, 2 Small Dripleaf, 1 Allium | 1 Spore Blossom |
| 2 Andesite, 2 Deepslate | 4 Tuff |
| 1 Apple, 8 Blocks of Gold | 1 Enchanted Gold Apple |
| 1 Stone/Deepslate, 8 Coal/Iron/Gold/Redstone/Emerald/Diamonds | 1 Ore Block of that Stone & Ore type |
| 1 Stone/Deepslate, 4 Blocks of Copper/Lapis | 1 Ore Block of that Stone & Ore type |
| 1 Netherrack, 8 Gold Ingots | 1 Nether Gold Ore |
| 1 Netherrack, 8 Nether Quartz | 1 Nether Quartz Ore |
| 1 Blackstone, 8 Gold Nuggets | 1 Gilded Blackstone |
| 4 Hanging Roots, 1 Dirt | 1 Rooted Dirt |

### New Mob/Block Drops

| Mob/Block | Drop Condition |
| --------- | -------------- |
| Guardian | Rarely drops 1 Wet Sponge (2.5% without looting) |
| Husk | Drops 0-4 Sand upon death |
| Drowned | Drops Otherside Music Disc when killed by skeleton |
| Piglin | Drops Pigstep Music Disc when killed by another Piglin |
| Ender Dragon | Chance to Drop both a Dragon Head and Elytra (25% chance for each to drop) |
| Sculk Catalyst | Drops Echo Shard when broken without Silk Touch |
| Sculk Shrieker | Drops Disc Fragment when broken without Silk Touch |

## Remaining Non-Renewable Items

| Block/Item | Reasoning |
| ---------- | --------- |
| Ancient Debris | The value of ancient debris and netherite is due to their rarity. While blocks of netherite are great building blocks, doesn't feel right to be able to "farm" netherite. |
| Diamonds | From a multiplayer aspect, diamonds are commonly used as currency. So to be able to farm money seems like it'll ruin economies. Besides that, it's kind of the same mindset as netherite, though a lot of the items that require diamonds can be obtained by other means or aren't needed very frequently. |
| Heart of the Sea | Ideally, I'd want this to be a possible trade from the wandering trader. However, there isn't an easy way to add this via datapacks (from what I can find) |
| Swift Sneak | Should be possible from villagers, just like the other treasure enchantments. Similar issue as with the Heart of the Sea though. |